UbuntuUpdates.org

Package "apt-doc"

Name: apt-doc

Description:

documentation for APT

Latest version: 1.0.1ubuntu2.24
Release: trusty (14.04)
Level: updates
Repository: main
Head package: apt

Links

Save this URL for the latest version of "apt-doc": https://www.ubuntuupdates.org/apt-doc


Download "apt-doc"


Other versions of "apt-doc" in Trusty

Repository Area Version
base main 1.0.1ubuntu2
security main 1.0.1ubuntu2.19

Changelog

Version: 1.0.1ubuntu2.24 2019-10-21 20:07:07 UTC

  apt (1.0.1ubuntu2.24) trusty; urgency=medium

  [ Michael Vogt ]
  * Ensure we have a Policy in CacheFile.BuildDepCache() (LP: #1847496)

 -- Julian Andres Klode <email address hidden> Thu, 10 Oct 2019 11:24:58 +0200

Source diff to previous version
1847496 [trusty] policy not always initialized when building depcache

Version: 1.0.1ubuntu2.23 2019-04-01 15:06:18 UTC

  apt (1.0.1ubuntu2.23) trusty; urgency=medium

  * Fix regression in pinning of local-only package versions (LP: #1821308)

 -- Julian Andres Klode <email address hidden> Mon, 25 Mar 2019 11:22:42 +0100

Source diff to previous version
1821308 apt-get upgrade ignores pinning preferences since 1.0.1ubuntu2.22

Version: 1.0.1ubuntu2.22 2019-03-21 13:06:56 UTC

  apt (1.0.1ubuntu2.22) trusty; urgency=medium

  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.2.31

Source diff to previous version
1818996 auth.conf.d directory missing

Version: 1.0.1ubuntu2.20 2019-02-25 13:07:13 UTC

  apt (1.0.1ubuntu2.20) trusty; urgency=medium

  [ Julian Andres Klode ]
  * Fix crashes in apt search, cache file (LP: #1815187)
  * Clean up some build artifacts and regenerate the po files

  [ Heitor R. Alves de Siqueira ]
  * backport "do not segfault in cache generation on mmap failure"
    (Closes: 803417) (LP: #1815129)

 -- Julian Andres Klode <email address hidden> Fri, 08 Feb 2019 13:12:26 +0100

Source diff to previous version
1815187 Fix crash when opening DepCache before Cache
1815129 apt segfaults when generating cache file

Version: 1.0.1ubuntu2.19 2019-01-22 15:06:57 UTC

  apt (1.0.1ubuntu2.19) trusty-security; urgency=medium

  * SECURITY UPDATE: content injection in http method (CVE-2019-3462)
    (LP: #1812353)

 -- Julian Andres Klode <email address hidden> Fri, 18 Jan 2019 16:35:08 +0100

1812353 content injection in http method (CVE-2019-3462)
CVE-2019-3462 Content injection in APT http medhod when using redirects



About   -   Send Feedback to @ubuntu_updates